import generatorPkg from "megalodon";
const generator = generatorPkg.default;
import pRetry from "p-retry";
import args from "./helpers/args.js";
import crashHandler from "./helpers/crashHandler.js";
export default async function postImage(image, sensitivity, cfg) {
    const client = generator(cfg.type, cfg.instance, cfg.accessToken, cfg.refreshToken);
    const upload = async () => client.uploadMedia(image);
    const res = await pRetry(upload, {
        retries: cfg.retries,
        onFailedAttempt: logRetry,
    }).catch((err) => {
        crashHandler("Error uploading image.", err, err.response.data);
        return {};
    });
    const post = async () => client.postStatus(args.message || cfg.message, {
        media_ids: [res.data.id],
        visibility: cfg.visibility,
        sensitive: sensitivity,
    });
    await pRetry(post, {
        retries: cfg.retries,
        onFailedAttempt: logRetry,
    }).catch((err) => {
        crashHandler("Error uploading image", err, err.response.data);
    });
    console.log(`Successfully posted to ${cfg.instance}`);
}
function logRetry(error) {
    console.error("Retrying, error:");
    console.error(error);
}
//# sourceMappingURL=postImage.js.map